<html>

<head>
<title><%get_info("XE_Title");%></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<link href="../style/webgui.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../js/lang.js"></script>
<!--language file start -->
<script language="JavaScript" src="../js/cookie.js"></script>
<script language="javascript" src="../js/jquery.js"></script>
<script language="JavaScript" src="../mlang/mlang.js"></script>
<script language="JavaScript" src="../mlang/status.js"></script>
<!--language file end -->
<!--authority protect begin -->
<script language="JavaScript" src="../js/protect.js"></script>
<!--authority protect end -->
<script language="JavaScript" type="text/javascript">

//var imei = 'asp_get("imei");%>';
//var sw_version = 'asp_get("wa_inner_version");%>';
//var hw_version = 'asp_get("hardware_version");%>';

function initTranslation()
{
	var e = document.getElementById("current_version");
	    e.innerHTML = current_version_lang[lang_index];

	var e = document.getElementById("new_version");
	    e.innerHTML = new_version_lang[lang_index];
	
	var e = document.getElementById("download_tools");
	    e.innerHTML = download_tools_lang[lang_index];
	var e = document.getElementById("update_status_notice");
	    e.innerHTML = update_status_notice[lang_index];
	
}

function compare_version()
{
	var ver_now = '<%GetSysSwVersion();%>';
	var ver_new = '<%get_info("XG_Version");%>';
	var length = Math.max(ver_now.length, ver_new.length);
	var result = 0;
	for(var i=0; i<length; i++)
	{
		result = ver_new.charCodeAt(i)-ver_now.charCodeAt(i);
		if(result == 0)
		{
			continue;
		}
		else if(result > 0)
		{
			return version_find_lang[lang_index];
		}
		else
		{
			return no_version_find_lang[lang_index];
		}
	}
}

function fill_bug_info()
{
	var bug_info = '<%get_info("XG_Log");%>';
	var info_arr = bug_info.split('\n\r');
	var text = '<table width="100%" border="0" cellpadding="0" cellspacing="0" >';
	text += '<tr><td class="labelfont_updatelog" colspan="3" >'+info_arr[0]+'</td></tr>';
	labela:
	for(var i=1; i<info_arr.length; i++)
	{
		text += '<tr><td width="370" class="top_head1" id="">'+info_arr[i]+'</td></tr>';
		if(i == 5)
		{
			text += '<tr><td width="370" class="top_head1" id="">...</td></tr>';
			break labela;
		}
		
	}
	text += '</table>';	
	document.getElementById('bug_info_td').innerHTML = text;
}

function fill_tool_info()
{
	var tool_info = '<%get_info("XG_UpdateFile","","-1");%>';
	var tool_link_info = '<%get_info("XG_UpdateFile","URL","-1");%>';
	var tool_info_arr = tool_info.split('<!#>');
	var tool_link_info_arr = tool_link_info.split('<!#>');
	var text = '<table width="100%" border="0" cellpadding="0" cellspacing="0" >';
	for(var i=0; i<tool_info_arr.length-1; i++)
	{
		text += '<tr><td width="100%" class="top_head1"><a href="'+tool_link_info_arr[i]+'" target="_blank" style="text-decoration:underline; font-size:14px;">'+tool_info_arr[i]+'</a></td></tr>';
	}
	text += '</table>';	
	document.getElementById('tool_info_td').innerHTML = text;
}

function show_hide_update_info(need_update)
{
	if(true == need_update)
	{
		document.getElementById('version_find').innerHTML = version_find_lang[lang_index];
		document.getElementById('update_version_tr1').style.display = "";
		document.getElementById('update_version_tr2').style.display = "";
		document.getElementById('bug_info_tb').style.display = "";
		document.getElementById('bug_tool_tb').style.display = "";
	}
	else
	{
		document.getElementById('version_find').innerHTML = no_version_find_lang[lang_index];
		document.getElementById('update_version_tr1').style.display = "none";
		document.getElementById('update_version_tr2').style.display = "none";
		document.getElementById('bug_info_tb').style.display = "none";
		document.getElementById('bug_tool_tb').style.display = "none";
	}
}

function fill_check_box()
{
	var notify = '<%get_info("XE_UpdateNotify");%>';
	if(notify=='no')
	{
		
		document.form1.notify.checked=true;
	}
	else
	{
		document.form1.notify.checked=false;
	}
}

function button_click()
{
	if(!confirm(make_sure_modify[lang_index]))
	{
		document.location.reload();
		return false;
	}
	if(document.form1.notify.checked==true)
	{
		$.ajax({url: '/goform/web_upd_xml?file=4&node=UpdateNotify&string=no', async: false }).responseText;
		document.location.reload();
	}
	else
	{
		$.ajax({url: '/goform/web_upd_xml?file=4&node=UpdateNotify&string=yes', async: false }).responseText;
		document.location.reload();
	}
}

function Divice_Info_Init()
{
	var need_update = '<%get_info("XG_NeedUpdate");%>';
	if('yes' == need_update)
	{
		show_hide_update_info(true);
	}
	else
	{
		show_hide_update_info(false);
	}
	
	document.getElementById('current_version_no').innerHTML = '<%get_info("XG_CurrentVersion");%>';
	document.getElementById('new_version_no').innerHTML = '<%get_info("XG_Version");%>';
	fill_bug_info();
	fill_tool_info();
	fill_check_box();
}

function PageInit()
{
	initTranslation();
	Divice_Info_Init();
}

</script>
</head>

<body onLoad="PageInit()"
	 class="subpage_body_web" >

<table cellspacing="0" cellpadding="0" width="783" border="0"  height="100%">
	<tr>
		<td valign="top">
		
		<table width="783" border="0" cellpadding="0" cellspacing="0">
			<!-- ================= System Info ================= -->
			<!-- 
            <tr>
				
                <td class="labelfont_netstatus" colspan="2" id="RouterStateHome3GInformation"></td>
			</tr>
            
			<tr>
				
                <td width="391" class="top_head1" ><span id="RouterStateHome3GInfoNetworkProvider" class="labelfont"></span><span id="os_info"></span> </td>
				<td width="392" class="top_head1"><span id="RouterStateHome3GInfoNetworkType"  class="labelfont"></span><span id="lg_info"></span></td>				
			</tr>-->
		
			<!-- ================= Local Network ================= -->
			
		</table>
		<table width="783" border="0" cellpadding="0" cellspacing="0" >
		  <tr>
		    <td class="labelfont_netstatus" colspan="2" id="version_find"></td>
	      </tr>
		  <tr id="update_version_tr1">
		    <td class="top_head1" width="100%" ><span id="current_version" ></span><span id="current_version_no">Connected to PC</span></td>
	      </tr>
		  <tr id="update_version_tr2">
            <td class="top_head1" width="100%" ><span id="new_version"></span><span id="new_version_no">*******</span></td>
	      </tr>
		  </table>
          <table width="100%" border="0" cellpadding="0" cellspacing="0" id="bug_info_tb">
			<!-- ================= System Info ================= -->
			<tr>
				<td  id="bug_info_td"></td>
			</tr>	
		</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0" id="bug_tool_tb">
			<!-- ================= System Info ================= -->
<tr>
				<td class="labelfont_netstatus" colspan="3" ><span id="download_tools"></span></td>
			</tr>
			<tr>
				<td id="tool_info_td"></td>
		</tr>
			<tr>
				<td id="tool_info_td" align="right"><form id="form1" name="form1" method="post" action="">
				  <input type="checkbox" name="notify" id="notify" style="width:20;" align="bottom">&nbsp;<span id="update_status_notice" class="top_head1"></span>
				  <input class="btn" type="button" name="apply" id="apply" value="Apply" onClick="return button_click();"onMouseOver="this.className='menu_over'" onMouseOut="this.className='menu_out'">
                </form>
			    </td>
		</tr>
		</table>
		<p>&nbsp;</p></td>
	</tr>
</table>

</body>

</html>
