<html>
<head>
<title><%get_info("XE_Title");%></title>
<link href="../style/webgui.css" rel="stylesheet" type="text/css">
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<script language="JavaScript" src="../js/lang.js"></script>
<script language="javascript" src="../js/jquery.js"></script>
<script language="JavaScript" src="../js/cookie.js"></script>
<script language="JavaScript" src="../js/protect.js"></script>
<script language="JavaScript" type="text/javascript">
Butterlate.setTextDomain("advanced");

var realtime_statistics = '<%asp_get("realtime_statistics");%>';

function initValue()
{
	var array = new Array();
	//alert(realtime_statistics);
	if ( !realtime_statistics )
	{
		realtime_statistics = "0,0,0,0,0,0,0,0";
	}
	array = realtime_statistics.split(",");
	
	document.getElementById("adv_statistics_speed_up_value").innerHTML =  transUnit(array[0]) + "/" + Get_string("adv speed sec");
	document.getElementById("adv_statistics_speed_download_value").innerHTML = transUnit(array[1]) + "/" + Get_string("adv speed sec");
	document.getElementById("adv_statistics_current_transmit_value").innerHTML = transUnit(array[2]); // + " " + Get_string("adv statistics data uint");
	document.getElementById("adv_statistics_current_receive_value").innerHTML = transUnit(array[3]); // + " " + Get_string("adv statistics data uint");
	document.getElementById("adv_statistics_current_time_value").innerHTML = transTime(array[4]); // + " " + Get_string("adv statistics connected time");
	document.getElementById("adv_statistics_total_transmit_value").innerHTML = transUnit(array[5]); // + " " + Get_string("adv statistics data uint");
	document.getElementById("adv_statistics_total_receive_value").innerHTML = transUnit(array[6]); // + " " + Get_string("adv statistics data uint");
	document.getElementById("adv_statistics_total_time_value").innerHTML = transTime(array[7]); // + " " + Get_string("adv statistics connected time");
}


function transUnit(data) {
	var level = 0;
	var value = Number(data);
	var cal = function() {
		if(value >= 1024 && level != 4) {
			value = value/1024;
			level += 1;
			cal();
		}
	}
	
	cal();
	var unitArr = ["adv statistics data uint B", "adv statistics data uint KB", "adv statistics data uint MB", "adv statistics data uint GB", "adv statistics data uint GB"];
	return Math.round(value*100)/100 + ' ' + Get_string(unitArr[level]);
}

function transTime(secs) {
	var hour = Math.floor(secs/3600);
	secs = secs%3600;
	var minu = Math.floor(secs/60);
	secs = secs%60;
	return lpad(hour,2,'0') + ":" + lpad(minu,2,'0') + ":" + lpad(secs,2,'0');

}

function lpad(value, length, placeholder) {
	var len = value.toString().length;
	for(; len  < length; len++) {
		value = placeholder + value;
	}
	return value;
}

function setAction()
{
	if ( document.getElementById("cb_current").checked == true && document.getElementById("cb_total").checked == true )
	{
		document.getElementById("action_flag").value = "ALL";
	}
	else
	{
		if ( document.getElementById("cb_current").checked == true )
		{
			document.getElementById("action_flag").value = "CURRENT";
		}
		else if ( document.getElementById("cb_total").checked == true )
		{
			document.getElementById("action_flag").value = "TOTAL";
		}
	}
	
	//alert(document.getElementById("action_flag").value);
	
	writeHiddenNum('lucknum_DATA_STATISTICS_CLEAR');
}

function initTranslation()
{
	var e; // = document.getElementById("adv_statistics_title");
	//e.innerHTML = Get_string('adv statistics title');
	
	//e = document.getElementById("adv_sec_title_status");
	//e.innerHTML = Get_string('adv sec title status');
	
	//e = document.getElementById("adv_sec_title_restore");
	//e.innerHTML = Get_string('adv sec title restore');
	
    //e = document.getElementById("adv_sec_title_pin_manage");
	//e.innerHTML = Get_string('adv sec title pin manage');
	
	//e = document.getElementById("adv_sec_title_router");
	//e.innerHTML = Get_string('adv_sec_title_router');

	//e = document.getElementById("adv_sec_statistics_status");
	//e.innerHTML = Get_string('adv statistics title statistics');
	
	e = document.getElementById("adv_statistics");
	e.innerHTML = Get_string('adv statistics title statistics');
	
	e = document.getElementById("adv_statistics_speed");
	e.innerHTML = Get_string('adv statistics speed');
	
	e = document.getElementById("adv_statistics_speed_up");
	e.innerHTML = Get_string('adv statistics speed up');
	
	e = document.getElementById("adv_statistics_speed_download");
	e.innerHTML = Get_string('adv statistics speed download');
	
	e = document.getElementById("adv_statistics_current");
	e.innerHTML = Get_string('adv statistics current');
	
	e = document.getElementById("adv_statistics_current_transmit");
	e.innerHTML = Get_string('adv statistics transmit');
	
	e = document.getElementById("adv_statistics_current_receive");
	e.innerHTML = Get_string('adv statistics receive');
	
	e = document.getElementById("adv_statistics_current_time");
	e.innerHTML = Get_string('adv statistics time');
	
	e = document.getElementById("adv_statistics_total");
	e.innerHTML = Get_string('adv statistics total');
	
	e = document.getElementById("adv_statistics_total_transmit");
	e.innerHTML = Get_string('adv statistics transmit');
	
	e = document.getElementById("adv_statistics_total_receive");
	e.innerHTML = Get_string('adv statistics receive');
	
	e = document.getElementById("adv_statistics_total_time");
	e.innerHTML = Get_string('adv statistics time');
	
	e = document.getElementById("adv_statistics_msg");
	e.innerHTML = Get_string('adv statistics msg');

	e = document.getElementById("status_refresh");
	e.value = Get_string("adv status refresh");
	
	e = document.getElementById("btn_clear");
	e.value = Get_string("adv status clear");
}

function initPage()
{
	initTranslation();
	initValue();
}
</script>
</head>

<body class="subpage_body_web" onLoad="initPage()">
<table cellspacing="0" cellpadding="10" border="0" class="body_table">
	<tr>
		<td valign="top">
<form method="post" name="DataStatistics" action="/goform/goform_process" onSubmit="setAction();">
<input type="hidden" name="action_flag" id="action_flag"/>
<INPUT type="hidden" value="DATA_STATISTICS_CLEAR" name="goformId" id="goformId">
<input type="hidden" name="lucknum_DATA_STATISTICS_CLEAR" id="lucknum_DATA_STATISTICS_CLEAR">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td class="labelfont" colspan="2" id="adv_statistics">Statistics</td>
			</tr>
            <tr>
				<td class="top_head" width="20%" id="adv_statistics_speed" rowspan="2" style="text-align:center">Speed</td>
				<td class="top_tail" width="20%" id="adv_statistics_speed_up" style="font-weight:bold">Up</td>
                <td class="top_tail" width="60%">
                	<span id="adv_statistics_speed_up_value"></span>
                </td>
			</tr>
            <tr>
				<td class="tail" width="20%" id="adv_statistics_speed_download" style="font-weight:bold">Download</td>
				<td class="tail" width="60%">
                	<span id="adv_statistics_speed_download_value"></span>
                </td>
			</tr>
            <tr>
            	<td class="head" rowspan="3" style="text-align:center">
                    <input type="checkbox" id="cb_current" name="cb_current" style="width:30px"/>
                	<span id="adv_statistics_current">Current</span>
                </td>
				<td class="tail" id="adv_statistics_current_transmit" style="font-weight:bold">Transmitted</td>
                <td class="tail">
                	<span id="adv_statistics_current_transmit_value"></span>
                </td>
            </tr>
            <tr>
				<td class="tail" id="adv_statistics_current_receive" style="font-weight:bold">Received</td>
                <td class="tail">
                	<span id="adv_statistics_current_receive_value"></span>
                </td>
            </tr>
            <tr>
				<td class="tail" id="adv_statistics_current_time" style="font-weight:bold">Connected Time</td>
                <td class="tail">
                	<span id="adv_statistics_current_time_value"></span>
                </td>
            </tr>
            <tr>
            	<td class="head" rowspan="3" style="text-align:center">
                	<input type="checkbox" id="cb_total" name="cb_total" style="width:30px"/>
                	<span id="adv_statistics_total">Total</span>
                </td>
				<td class="tail" id="adv_statistics_total_transmit" style="font-weight:bold">Transmitted</td>
                <td class="tail">
                	<span id="adv_statistics_total_transmit_value"></span>
                </td>
            </tr>
            <tr>
				<td class="tail" id="adv_statistics_total_receive" style="font-weight:bold">Received</td>
                <td class="tail">
                	<span id="adv_statistics_total_receive_value"></span>
                </td>
            </tr>
            <tr>
				<td class="tail" id="adv_statistics_total_time" style="font-weight:bold">Connected Time</td>
                <td class="tail">
                	<span id="adv_statistics_total_time_value"></span>
                </td>
            </tr>
		</table>
        <br/>
        <div id="adv_statistics_msg" class='warningInfo'>Data usage is approximate only. For actual usage, please refer to your network operator.</div>
        <br>
        <div class="div_btn">
        	<input type="submit" class="btn" value="Clear" id="btn_clear"onMouseOver="this.className='menu_over'" onMouseOut="this.className='menu_out'"/>
		    <input id="status_refresh" class="btn" type="button" value="Refresh" name="status_refresh"  onclick="location.reload()" onMouseOver="this.className='menu_over'" onMouseOut="this.className='menu_out'">
        </div>
 </form>	
		</td>
	</tr>
</table>
</body>
</html>
